
# Class: ChangeDesignVariantCommand

A command that changes product design variants.

Here, we open the selected design variant.
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "changeDesignVariant": [{
        "designVariant": "{{ $['pim-design-selector']._ }}"
    }]
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **ChangeDesignVariantCommand**

## Index

### Methods

* [execute](changedesignvariantcommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [IChangeDesignVariantCommandDefinition](../interfaces/ichangedesignvariantcommanddefinition.md)): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IChangeDesignVariantCommandDefinition](../interfaces/ichangedesignvariantcommanddefinition.md) | Parameters for the command.  |

**Returns:** *Promise‹void›*
